package com.izouma.nineth.service;

import com.izouma.nineth.ApplicationTests;
import com.izouma.nineth.repo.UserRepo;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import static org.junit.Assert.*;

public class UserServiceTest extends ApplicationTests {

    @Autowired
    private UserService userService;
    @Autowired
    private UserRepo    userRepo;

    @Test
    public void findByUsernameAndDelFalse1() {
        userService.clearCache();
        userRepo.findByUsernameAndDelFalse("admin");
        userRepo.findByUsernameAndDelFalse("admin");
    }
}